Index: issm/trunk/src/c/Bamgx/objects/Metric.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Metric.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Metric.h	(revision 3243)
@@ -23,5 +23,5 @@
 		public:
 			//fields
-			Real8 a11,a21,a22;
+			double a11,a21,a22;
 			//friends
 			friend class MatVVP2x2;
@@ -29,11 +29,11 @@
 			Metric(){};
 			Metric(const MatVVP2x2);
-			Metric(Real8 a): a11(1/(a*a)),a21(0),a22(1/(a*a)){}
-			Metric(Real8 a,Real8 b,Real8 c) :a11(a),a21(b),a22(c){}
-			Metric( Real8  a,const  Metric ma, Real8  b,const  Metric mb);
-			Metric(const Real8  a[3],const  Metric m0,const  Metric m1,const  Metric m2 );
+			Metric(double a): a11(1/(a*a)),a21(0),a22(1/(a*a)){}
+			Metric(double a,double b,double c) :a11(a),a21(b),a22(c){}
+			Metric( double  a,const  Metric ma, double  b,const  Metric mb);
+			Metric(const double  a[3],const  Metric m0,const  Metric m1,const  Metric m2 );
 			void  Echo();
 			R2    mul(const R2 x)const {return R2(a11*x.x+a21*x.y,a21*x.x+a22*x.y);}
-			Real8 det() const {return a11*a22-a21*a21;}  
+			double det() const {return a11*a22-a21*a21;}  
 			R2    Orthogonal(const R2 x){return R2(-(a21*x.x+a22*x.y),a11*x.x+a21*x.y);}
 			R2    Orthogonal(const I2 x){return R2(-(a21*x.x+a22*x.y),a11*x.x+a21*x.y);}
@@ -41,9 +41,9 @@
 			inline void Box(double &hx,double &hy) const ;  
 			//operators
-			Metric operator*(Real8 c) const {Real8 c2=c*c;return  Metric(a11*c2,a21*c2,a22*c2);} 
-			Metric operator/(Real8 c) const {Real8 c2=1/(c*c);return  Metric(a11*c2,a21*c2,a22*c2);} 
+			Metric operator*(double c) const {double c2=c*c;return  Metric(a11*c2,a21*c2,a22*c2);} 
+			Metric operator/(double c) const {double c2=1/(c*c);return  Metric(a11*c2,a21*c2,a22*c2);} 
 			operator D2xD2(){ return D2xD2(a11,a21,a21,a22);}
-			Real8  operator()(R2 x) const { return sqrt(x.x*x.x*a11+2*x.x*x.y*a21+x.y*x.y*a22);};
-			Real8  operator()(R2 x,R2 y) const { return x.x*y.x*a11+(x.x*x.y+x.y*y.x)*a21+x.y*y.y*a22;};
+			double  operator()(R2 x) const { return sqrt(x.x*x.x*a11+2*x.x*x.y*a21+x.y*x.y*a22);};
+			double  operator()(R2 x,R2 y) const { return x.x*y.x*a11+(x.x*x.y+x.y*y.x)*a21+x.y*y.y*a22;};
 
 	};
@@ -67,12 +67,12 @@
 			void Maxh(double h) {Max(1.0/(h*h));}
 			void Isotrope() {lambda1=lambda2=bamg::Max(lambda1,lambda2);}
-			Real8 hmin() const {return sqrt(1/bamg::Max3(lambda1,lambda2,1e-30));}
-			Real8 hmax() const {return sqrt(1/bamg::Max(bamg::Min(lambda1,lambda2),1e-30));}
-			Real8 lmax() const {return bamg::Max3(lambda1,lambda2,1e-30);}
-			Real8 lmin() const {return bamg::Max(bamg::Min(lambda1,lambda2),1e-30);}
-			Real8 Aniso2() const  { return lmax()/lmin();}
-			Real8 Aniso() const  { return sqrt( Aniso2());}
-			void BoundAniso(const Real8 c){ BoundAniso2(1/(c*c));}
-			inline void BoundAniso2(const Real8 coef);
+			double hmin() const {return sqrt(1/bamg::Max3(lambda1,lambda2,1e-30));}
+			double hmax() const {return sqrt(1/bamg::Max(bamg::Min(lambda1,lambda2),1e-30));}
+			double lmax() const {return bamg::Max3(lambda1,lambda2,1e-30);}
+			double lmin() const {return bamg::Max(bamg::Min(lambda1,lambda2),1e-30);}
+			double Aniso2() const  { return lmax()/lmin();}
+			double Aniso() const  { return sqrt( Aniso2());}
+			void BoundAniso(const double c){ BoundAniso2(1/(c*c));}
+			inline void BoundAniso2(const double coef);
 			//operators
 			void operator *=(double coef){ lambda1*=coef;lambda2*=coef;}
@@ -80,9 +80,9 @@
 
 	class SaveMetricInterpole {
-		friend Real8 LengthInterpole(const Metric ,const  Metric , R2 );
-		friend Real8 abscisseInterpole(const Metric ,const  Metric , R2 ,Real8 ,int );
+		friend double LengthInterpole(const Metric ,const  Metric , R2 );
+		friend double abscisseInterpole(const Metric ,const  Metric , R2 ,double ,int );
 		int opt;
-		Real8 lab;
-		Real8 L[1024],S[1024];
+		double lab;
+		double L[1024],S[1024];
 	};
 
@@ -90,9 +90,9 @@
 	//Functions
 	void  SimultaneousMatrixReduction( Metric M1,  Metric M2,D2xD2 &V);
-	Real8 LengthInterpole(const Metric Ma,const  Metric Mb, R2 AB);
-	Real8 abscisseInterpole(const Metric Ma,const  Metric Mb, R2 AB,Real8 s,int optim=0);
+	double LengthInterpole(const Metric Ma,const  Metric Mb, R2 AB);
+	double abscisseInterpole(const Metric Ma,const  Metric Mb, R2 AB,double s,int optim=0);
 
 	//inlines
-	inline void  MatVVP2x2::BoundAniso2(const Real8 coef){
+	inline void  MatVVP2x2::BoundAniso2(const double coef){
 		if (coef<=1.00000000001){
 			if (lambda1 < lambda2)
@@ -117,12 +117,12 @@
 	}
 	inline   void  Metric::Box(double &hx,double &hy) const {
-		Real8 d=  a11*a22-a21*a21;
+		double d=  a11*a22-a21*a21;
 		hx = sqrt(a22/d);
 		hy = sqrt(a11/d);
 	}
-	inline Real8 LengthInterpole(Real8 la,Real8 lb) {
+	inline double LengthInterpole(double la,double lb) {
 		return ( Abs(la - lb) < 1.0e-6*Max3(la,lb,1.0e-20) ) ?  (la+lb)/2  : la*lb*log(la/lb)/(la-lb);
 	}
-	inline Real8 abscisseInterpole(Real8 la,Real8 lb,Real8 lab,Real8 s){
+	inline double abscisseInterpole(double la,double lb,double lab,double s){
 		return ( Abs(la - lb) <1.0e-6*Max3(la,lb,1.0e-20))  ? s : (exp(s*lab*(la-lb)/(la*lb))-1)*lb/(la-lb);
 	}
Index: issm/trunk/src/c/Bamgx/objects/QuadTree.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/QuadTree.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/QuadTree.cpp	(revision 3243)
@@ -94,5 +94,5 @@
 		 throw ErrorException(__FUNCT__,exprintf("MaxISize <= MaxICoor"));
 	 }
-	 for (Int4 i=0;i<nbv;i++) 
+	 for (long i=0;i<nbv;i++) 
 	  Add(t->vertices[i]);
 	}
@@ -212,5 +212,5 @@
 		Icoor1   jj[MaxDeep];
 		register int level=0; // levelevelevel
-		register Int4 n0;
+		register long n0;
 		register QuadTreeBox* b;
 		IntQuad  h=MaxISize,h0;
@@ -358,5 +358,5 @@
 		// init for optimisation ---
 		b = root;
-		register Int4  n0;
+		register long  n0;
 		if (!root->n)
 		 return vn; // empty tree 
@@ -466,5 +466,5 @@
 	/*}}}1*/
 	/*FUNCTION QuadTree::ToClose {{{1*/
-	Vertex *   QuadTree::ToClose(Vertex & v,Real8 seuil,Icoor1 hx,Icoor1 hy){
+	Vertex *   QuadTree::ToClose(Vertex & v,double seuil,Icoor1 hx,Icoor1 hy){
 		const Icoor1 i=v.i.x;
 		const Icoor1 j=v.i.y;
@@ -505,5 +505,5 @@
 					  {
 						R2 XY(X,b->v[k]->r);
-						Real8 dd;
+						double dd;
 						if( (dd= LengthInterpole(Mx(XY), b->v[k]->m(XY)))  < seuil ){
 							return b->v[k]; 
Index: issm/trunk/src/c/Bamgx/objects/QuadTree.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/QuadTree.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/QuadTree.h	(revision 3243)
@@ -56,5 +56,5 @@
 			Vertex* NearestVertex(Icoor1 i,Icoor1 j);
 			Vertex* NearestVertexWithNormal(Icoor1 i,Icoor1 j);
-			Vertex* ToClose(Vertex & ,Real8 ,Icoor1,Icoor1);
+			Vertex* ToClose(Vertex & ,double ,Icoor1,Icoor1);
 			long    SizeOf() const {return sizeof(QuadTree)+sb->SizeOf();}
 			void    Add( Vertex & w);
Index: issm/trunk/src/c/Bamgx/objects/SetOfE4.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/SetOfE4.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/SetOfE4.cpp	(revision 3243)
@@ -9,6 +9,6 @@
 
 	/*Constructor*/
-	/*FUNCTION  SetOfEdges4::SetOfEdges4(Int4 mmx,Int4 nnx){{{1*/
-	SetOfEdges4::SetOfEdges4(Int4 mmx,Int4 nnx){
+	/*FUNCTION  SetOfEdges4::SetOfEdges4(long mmx,long nnx){{{1*/
+	SetOfEdges4::SetOfEdges4(long mmx,long nnx){
 
 		/*Intermediary*/
@@ -19,5 +19,5 @@
 		nbax =mmx; // 3 * number of triangles
 		NbOfEdges=0;
-		head = new Int4 [nx];
+		head = new long [nx];
 		Edges= new Int4Edge[nbax];
 
@@ -30,5 +30,5 @@
 	/*Methods*/ 
 	/*FUNCTION  SetOfEdges4::find {{{1*/
-	Int4 SetOfEdges4::find(Int4 ii,Int4 jj) { 
+	long SetOfEdges4::find(long ii,long jj) { 
 
 		/*Intermediary*/
@@ -58,5 +58,5 @@
 	/*}}}1*/
 	/*FUNCTION  SetOfEdges4::add{{{1*/
-	Int4 SetOfEdges4::add(Int4 ii,Int4 jj) {
+	long SetOfEdges4::add(long ii,long jj) {
 
 		/*Intermediary*/
Index: issm/trunk/src/c/Bamgx/objects/SetOfE4.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/SetOfE4.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/SetOfE4.h	(revision 3243)
@@ -9,6 +9,6 @@
 		friend class SetOfEdges4;
 		public:
-		Int4 i,j;
-		Int4 next; 
+		long i,j;
+		long next; 
 	};
 
@@ -16,22 +16,22 @@
 
 		private:
-			Int4 nx,nbax,NbOfEdges;
-			Int4* head; 
+			long nx,nbax,NbOfEdges;
+			long* head; 
 			Int4Edge* Edges;
 
 		public:
-			SetOfEdges4(Int4 ,Int4);// nb Edges mx , nb de sommet 
+			SetOfEdges4(long ,long);// nb Edges mx , nb de sommet 
 			~SetOfEdges4() {delete [] head; delete [] Edges;}
-			Int4 add (Int4 ii,Int4 jj);
-			Int4 SortAndAdd (Int4 ii,Int4 jj) {return ii <=jj ? add (ii,jj)  : add (jj,ii) ;}
-			Int4  nb(){return NbOfEdges;}
-			Int4 find (Int4 ii,Int4 jj);
-			Int4 SortAndFind (Int4 ii,Int4 jj) {return ii <=jj ? find (ii,jj)  : find (jj,ii) ;}
-			Int4 i(Int4 k){return Edges[k].i;}
-			Int4 j(Int4 k){return Edges[k].j;}
-			Int4 newarete(Int4 k){return NbOfEdges == k+1;}
+			long add (long ii,long jj);
+			long SortAndAdd (long ii,long jj) {return ii <=jj ? add (ii,jj)  : add (jj,ii) ;}
+			long  nb(){return NbOfEdges;}
+			long find (long ii,long jj);
+			long SortAndFind (long ii,long jj) {return ii <=jj ? find (ii,jj)  : find (jj,ii) ;}
+			long i(long k){return Edges[k].i;}
+			long j(long k){return Edges[k].j;}
+			long newarete(long k){return NbOfEdges == k+1;}
 
 			//operators
-			Int4Edge & operator[](Int4 k){return  Edges[k];}
+			Int4Edge & operator[](long k){return  Edges[k];}
 	};
 }
Index: issm/trunk/src/c/Bamgx/objects/SubDomain.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/SubDomain.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/SubDomain.h	(revision 3243)
@@ -19,10 +19,10 @@
 		public:
 			Triangle * head;
-			Int4  ref;  
+			long  ref;  
 			int sens; // -1 or 1
 			Edge* edge; // to  geometrical 	
 
 			//Inline methods
-			inline void Set(const Triangles &,Int4,Triangles &);
+			inline void Set(const Triangles &,long,Triangles &);
 	};
 
Index: issm/trunk/src/c/Bamgx/objects/Triangle.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Triangle.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Triangle.cpp	(revision 3243)
@@ -92,8 +92,8 @@
 	/*}}}*/
 	/*FUNCTION Triangle::Optim{{{1*/
-	Int4  Triangle::Optim(short i,int koption) {
+	long  Triangle::Optim(short i,int koption) {
 		// turn around (positive direction)
 		Triangle *t=this;
-		Int4 NbSwap =0;
+		long NbSwap =0;
 		int  k = 0;
 		int  j = OppositeEdge[i];
@@ -183,5 +183,5 @@
 					 else {	
 						 // critere de Delaunay anisotrope 
-						 Real8 som;
+						 double som;
 						 I2 AB=(I2) *sb - (I2) *sa;
 						 I2 MAB2=((I2) *sb + (I2) *sa);
Index: issm/trunk/src/c/Bamgx/objects/Triangle.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Triangle.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Triangle.h	(revision 3243)
@@ -29,10 +29,10 @@
 			union { 
 				Triangle * link ;
-				Int4 color;
+				long color;
 			};
 
 			//Constructors/Destructors
 			Triangle() {}
-			Triangle(Triangles *Th,Int4 i,Int4 j,Int4 k);
+			Triangle(Triangles *Th,long i,long j,long k);
 			Triangle(Vertex *v0,Vertex *v1,Vertex *v2);
 
@@ -46,5 +46,5 @@
 			void   Echo();
 			int    swap(short a1,int=0);
-			Int4   Optim(short a,int =0);
+			long   Optim(short a,int =0);
 			int    Locked(int a)const { return TriaAdjSharedEdge[a]&4;} 
 			int    Hidden(int a)const { return TriaAdjSharedEdge[a]&16;} 
@@ -58,5 +58,5 @@
 			Triangle* TriangleAdj(int i) const {return TriaAdjTriangles[i&3];}
 			Triangle* Quadrangle(Vertex * & v0,Vertex * & v1,Vertex * & v2,Vertex * & v3) const ;
-			void  ReNumbering(Triangle *tb,Triangle *te, Int4 *renu){
+			void  ReNumbering(Triangle *tb,Triangle *te, long *renu){
 				if (link  >=tb && link  <te) link  = tb + renu[link -tb];
 				if (TriaAdjTriangles[0] >=tb && TriaAdjTriangles[0] <te) TriaAdjTriangles[0] = tb + renu[TriaAdjTriangles[0]-tb];
@@ -64,5 +64,5 @@
 				if (TriaAdjTriangles[2] >=tb && TriaAdjTriangles[2] <te) TriaAdjTriangles[2] = tb + renu[TriaAdjTriangles[2]-tb];    
 			}
-			void ReNumbering(Vertex *vb,Vertex *ve, Int4 *renu){
+			void ReNumbering(Vertex *vb,Vertex *ve, long *renu){
 				if (TriaVertices[0] >=vb && TriaVertices[0] <ve) TriaVertices[0] = vb + renu[TriaVertices[0]-vb];
 				if (TriaVertices[1] >=vb && TriaVertices[1] <ve) TriaVertices[1] = vb + renu[TriaVertices[1]-vb];
